part of modern_form_filter;

class FilterWithCheckboxIten extends StatelessWidget {
  final List<String> suggestions;
  final String bottomSheetLabelText;
  final String buttonText;
  final void Function(List<String> selecteds) onChanged;
  final List<String> initialValue;
  final Future<void> Function() onTap;
  final bool forceMenu;
  final bool moveEnable;

  const FilterWithCheckboxIten({
    Key key,
    this.suggestions,
    this.bottomSheetLabelText = "",
    this.onChanged,
    this.initialValue,
    this.buttonText = "",
    this.onTap,
    this.forceMenu,
    this.moveEnable,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    bool _moveEnable = moveEnable != null && moveEnable;
    return Column(
      children: <Widget>[
        Column(
          crossAxisAlignment: CrossAxisAlignment.start,
          children: <Widget>[
            FilterTextListItens(
              itens: initialValue,
              iconData: _moveEnable ? Icons.edit : null,
              onTapCloseIten: (index, c) async {
                List<String> _s = List<String>.from(initialValue);

                if (_moveEnable) {
                  SecondOption option = await showSecondOption(
                      c, [SecondOption.Move, SecondOption.Delete]);
                  if (option != null) {
                    switch (option) {
                      case SecondOption.Delete:
                        _s.removeAt(index);
                        break;
                      case SecondOption.Move:
                        int newIndex = await showMoveTo(
                            c, (initialValue?.length ?? 0), index);
                        if (newIndex != null) {
                          String iten = _s[index];
                          _s.removeAt(index);
                          _s.insert(newIndex, iten);
                        }
                        break;
                      default:
                        break;
                    }
                  }
                } else {
                  _s.removeAt(index);
                }
                onChanged(_s);
              },
            ),
            SizedBox(height: ScreenUtil().setHeight(7)),
            RaisedButton.icon(
              label: Icon(Icons.add, size: ScreenUtil().setSp(18)),
              icon: Text(
                buttonText ?? "",
                style: TextStyle(fontSize: ScreenUtil().setSp(14)),
              ),
              onPressed: () async {
                if (onTap != null) {
                  await onTap();
                }
                List<String> _itens = await showBottomSheetCheckboxIten(
                  context,
                  list: suggestions,
                  title: bottomSheetLabelText,
                  listSelected: initialValue,
                  forceMenu: forceMenu,
                );
                if (_itens != null) {
                  onChanged(_itens);
                }
              },
            ),
          ],
        )
      ],
    );
  }
}
