part of modern_form_filter;

class FilterSingleWithProfile extends StatelessWidget {
  final String bottomSheetLabelText;
  final String buttonText;
  final void Function(ModernFormBottomSheetProfileModel selecteds) onChanged;
  final ModernFormBottomSheetProfileModel initialValue;
  final Future<bool> Function() onTap;
  final List<ModernFormBottomSheetProfileModel> suggestions;

  const FilterSingleWithProfile({
    Key key,
    this.bottomSheetLabelText,
    this.buttonText,
    this.onChanged,
    this.initialValue,
    this.onTap,
    this.suggestions,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return FilterSingleWithProfileIten(
      bottomSheetLabelText: bottomSheetLabelText,
      buttonText: buttonText,
      onRemove: () {
        onChanged(null);
      },
      initialValue: initialValue,
      onTap: () async {
        if (onTap != null) {
          bool response = await onTap();
          if (response) {
            String returnValue = await showBottomSheetProfiles(context,
                list: suggestions, title: bottomSheetLabelText);
            if (returnValue != null) {
              var item = suggestions
                  .firstWhere((element) => element.returnValue == returnValue);
              suggestions.remove(item);
              onChanged(item);
            }
          }
        }
      },
    );
  }
}
